import './index.css';
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));

// src/announcement/index.tsx
import { useState } from "react";

// src/announcement/close.tsx
import { jsx, jsxs } from "react/jsx-runtime";
function IconClose(props) {
  return /* @__PURE__ */ jsxs(
    "svg",
    __spreadProps(__spreadValues({
      viewBox: "0 0 1024 1024",
      fill: "currentColor",
      height: "1em",
      width: "1em"
    }, props), {
      children: [
        /* @__PURE__ */ jsx("title", { children: "IconClose" }),
        /* @__PURE__ */ jsx("path", { d: "M563.8 512l262.5-312.9c4.4-5.2.7-13.1-6.1-13.1h-79.8c-4.7 0-9.2 2.1-12.3 5.7L511.6 449.8 295.1 191.7c-3-3.6-7.5-5.7-12.3-5.7H203c-6.8 0-10.5 7.9-6.1 13.1L459.4 512 196.9 824.9A7.95 7.95 0 00203 838h79.8c4.7 0 9.2-2.1 12.3-5.7l216.5-258.1 216.5 258.1c3 3.6 7.5 5.7 12.3 5.7h79.8c6.8 0 10.5-7.9 6.1-13.1L563.8 512z" })
      ]
    })
  );
}
var close_default = IconClose;

// src/announcement/index.module.scss
var index_module_default = { "bar": "bar_9f4d2", "link": "link_9f4d2", "close": "close_9f4d2" };

// src/announcement/index.tsx
import { jsx as jsx2, jsxs as jsxs2 } from "react/jsx-runtime";
function Announcement({
  href,
  message,
  localStorageKey,
  display = true
}) {
  var _a;
  if (!display) {
    return null;
  }
  const [disable, setDisable] = useState(
    (_a = window.localStorage.getItem(localStorageKey)) != null ? _a : false
  );
  if (disable) {
    return null;
  }
  return /* @__PURE__ */ jsxs2("div", { className: index_module_default.bar, children: [
    /* @__PURE__ */ jsx2("a", { href, className: index_module_default.link, children: message }),
    /* @__PURE__ */ jsx2(
      close_default,
      {
        onClick: () => {
          setDisable(true);
          window.localStorage.setItem(localStorageKey, "true");
        },
        className: index_module_default.close
      }
    )
  ] });
}
export {
  Announcement
};
